Subject: [bug#45644] closed (Re: [bug#45644] [PATCH] gnu: esbuild: Update to 0.8.29.)

From: Ryan Prior <[email-masked]>
Date: Mon, 04 Jan 2021 02:47:39 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

> By the way, your patches show that they are authored by "Ryan Prior via Guix-patches via [email-masked]". Is that the correct email address?

No, the correct email address is [email-masked]

There's maybe 15 commits in Guix that have that incorrect email address. I'm not sure where it comes from or how to get rid of it. I send my patches by running a command like:

git send-email --to=[email-masked] --suppress-cc=self 0001-gnu-esbuild-Update-to-0.8.29.patch

Git has my correct email address:

$ git config user.email
[email-masked]

So I have to imagine that either Protonmail or your email server are changing the email address.

I don't know if it's possible with the commit-signing system you have in place to rewrite Guix repo history, or whether it would be worth it, but it would be nice to have my actual email on my commits instead of the weird munged one. If there's some behavior I can change to keep it from happening again the future I will certainly be flexible.

One thing I'm going to try (unless there's any objection) is to try sending email through a third party like mailgun instead of using Protonmail's SMTP server. If it's confusing or triggers some kind of fraud prevention mechanism to get e-mails to the list that have my Protonmail address on them but aren't actually from Protonmail's server, then the next thing I could try is to request a gnu.org email address for the purposes of contributing to GNU software.

Let me know what you think!
Ryan